
Foreman - Feature #36688

Provide option to use wget for the new Register Host feature

08/21/2023 06:30 AM - Markus Reisner

Status: Ready For Testing   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9808,

https://github.com/theforeman/foreman-d

ocumentation/pull/2376,

https://github.com/theforeman/foreman-d

ocumentation/pull/2914

  

Description

Current state

The Register hosts page uses curl for registering hosts. This seems to be a good approach for EL based systems as most of these

come with curl preinstalled. On Debian based systems this is not always the case (at least for recent versions of Debian and

Ubuntu).

Proposal

This feature request aims to provide an option to use wget for registering hosts as wget is as widely used as curl. By this system

administrators that only have wget installed are not forced to also install curl anymore.

History

#1 - 08/21/2023 06:34 AM - Markus Reisner

- Description updated

#2 - 08/21/2023 11:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9808 added

#3 - 10/02/2023 11:37 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2376 added

#4 - 03/25/2024 03:53 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2914 added
